zenilib: ShBuiltInResources Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
ShBuiltInResources Struct Reference

`#include <ShaderLang.h>`

## Public Attributes

int | ARB_texture_rectangle
ShArrayIndexClampingStrategy | ArrayIndexClampingStrategy
int | EXT_draw_buffers
int | EXT_frag_depth
int | FragmentPrecisionHigh
ShHashFunction64 | HashFunction
int | MaxCallStackDepth
int | MaxCombinedTextureImageUnits
int | MaxDrawBuffers
int | MaxExpressionComplexity
int | MaxFragmentUniformVectors
int | MaxTextureImageUnits
int | MaxVaryingVectors
int | MaxVertexAttribs
int | MaxVertexTextureImageUnits
int | MaxVertexUniformVectors
int | OES_EGL_image_external
int | OES_standard_derivatives

## Detailed Description

Definition at line 203 of file ShaderLang.h.

## Member Data Documentation

int ShBuiltInResources::ARB_texture_rectangle

Definition at line 219 of file ShaderLang.h.

Referenced by InitExtensionBehavior(), InsertBuiltInFunctions(), main(), and ShInitBuiltInResources().

ShArrayIndexClampingStrategy ShBuiltInResources::ArrayIndexClampingStrategy

Definition at line 234 of file ShaderLang.h.

Referenced by TCompiler::Init(), and ShInitBuiltInResources().

int ShBuiltInResources::EXT_draw_buffers

Definition at line 220 of file ShaderLang.h.

Referenced by InitExtensionBehavior(), sh::OutputHLSL::OutputHLSL(), and ShInitBuiltInResources().

int ShBuiltInResources::EXT_frag_depth

Definition at line 221 of file ShaderLang.h.

Referenced by IdentifyBuiltIns(), InitExtensionBehavior(), and ShInitBuiltInResources().

int ShBuiltInResources::FragmentPrecisionHigh

Definition at line 225 of file ShaderLang.h.

Referenced by IdentifyBuiltIns(), TCompiler::Init(), and ShInitBuiltInResources().

ShHashFunction64 ShBuiltInResources::HashFunction

Definition at line 230 of file ShaderLang.h.

Referenced by TCompiler::Init(), and ShInitBuiltInResources().

int ShBuiltInResources::MaxCallStackDepth

Definition at line 240 of file ShaderLang.h.

Referenced by TCompiler::Init().

int ShBuiltInResources::MaxCombinedTextureImageUnits

Definition at line 210 of file ShaderLang.h.

Referenced by GenerateResources(), Zeni::Video_GL_Shader::init(), Zeni::Video_GL_Fixed::init(), Zeni::Video_DX9::init_device(), InsertBuiltInFunctions(), and ShInitBuiltInResources().

int ShBuiltInResources::MaxDrawBuffers

Definition at line 213 of file ShaderLang.h.

Referenced by GenerateResources(), IdentifyBuiltIns(), Zeni::Video_GL_Shader::init(), Zeni::Video_GL_Fixed::init(), Zeni::Video_DX9::init_device(), InsertBuiltInFunctions(), sh::OutputHLSL::OutputHLSL(), and ShInitBuiltInResources().

int ShBuiltInResources::MaxExpressionComplexity

Definition at line 237 of file ShaderLang.h.

Referenced by TCompiler::Init().

int ShBuiltInResources::MaxFragmentUniformVectors

Definition at line 212 of file ShaderLang.h.

Referenced by GenerateResources(), TCompiler::Init(), Zeni::Video_GL_Shader::init(), Zeni::Video_GL_Fixed::init(), Zeni::Video_DX9::init_device(), InsertBuiltInFunctions(), and ShInitBuiltInResources().

int ShBuiltInResources::MaxTextureImageUnits

Definition at line 211 of file ShaderLang.h.

Referenced by GenerateResources(), Zeni::Video_GL_Shader::init(), Zeni::Video_GL_Fixed::init(), Zeni::Video_DX9::init_device(), InsertBuiltInFunctions(), and ShInitBuiltInResources().

int ShBuiltInResources::MaxVaryingVectors

Definition at line 208 of file ShaderLang.h.

Referenced by GenerateResources(), Zeni::Video_GL_Shader::init(), Zeni::Video_GL_Fixed::init(), Zeni::Video_DX9::init_device(), InsertBuiltInFunctions(), and ShInitBuiltInResources().

int ShBuiltInResources::MaxVertexAttribs

Definition at line 206 of file ShaderLang.h.

Referenced by GenerateResources(), Zeni::Video_GL_Shader::init(), Zeni::Video_GL_Fixed::init(), Zeni::Video_DX9::init_device(), InsertBuiltInFunctions(), and ShInitBuiltInResources().

int ShBuiltInResources::MaxVertexTextureImageUnits

Definition at line 209 of file ShaderLang.h.

Referenced by GenerateResources(), Zeni::Video_GL_Shader::init(), Zeni::Video_GL_Fixed::init(), Zeni::Video_DX9::init_device(), InsertBuiltInFunctions(), and ShInitBuiltInResources().

int ShBuiltInResources::MaxVertexUniformVectors

Definition at line 207 of file ShaderLang.h.

Referenced by GenerateResources(), TCompiler::Init(), Zeni::Video_GL_Shader::init(), Zeni::Video_GL_Fixed::init(), Zeni::Video_DX9::init_device(), InsertBuiltInFunctions(), and ShInitBuiltInResources().

int ShBuiltInResources::OES_EGL_image_external

Definition at line 218 of file ShaderLang.h.

Referenced by GenerateResources(), Zeni::Video_GL_Shader::init(), Zeni::Video_GL_Fixed::init(), Zeni::Video_DX9::init_device(), InitExtensionBehavior(), InsertBuiltInFunctions(), main(), and ShInitBuiltInResources().

int ShBuiltInResources::OES_standard_derivatives

Definition at line 217 of file ShaderLang.h.

Referenced by GenerateResources(), IdentifyBuiltIns(), Zeni::Video_GL_Shader::init(), Zeni::Video_GL_Fixed::init(), Zeni::Video_DX9::init_device(), InitExtensionBehavior(), InsertBuiltInFunctions(), main(), and ShInitBuiltInResources().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/angle/include/GLSLANG/ShaderLang.h